# pandas.Series.argsort

`Series.``argsort`(axis=0, kind='quicksort', order=None)

  Overrides ndarray.argsort. Argsorts the value, omitting NA/null values, and places the result in the same locations as the non-NA values

  Parameters:

  axis : int (can only be zero)

  kind : {‘mergesort’, ‘quicksort’, ‘heapsort’}, default ‘quicksort’

  > Choice of sorting algorithm. See np.sort for more information. ‘mergesort’ is the only stable algorithm

  order : ignored

  Returns: | argsorted : Series, with -1 indicated where nan values are present

  See also

  `numpy.ndarray.argsort`

Scroll To Top